> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Clients

> List clients in the organization. Supports optional search across external_id and metadata fields, and ordering by created date.



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/clients/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/clients/:
    get:
      tags:
        - api
      description: >-
        List clients in the organization. Supports optional search across
        external_id and metadata fields, and ordering by created date.
      operationId: api_v1_custom_org_clients_list
      parameters:
        - in: query
          name: ordering
          schema:
            type: string
          description: >-
            Order results by created date. Use '-created' for descending (newest
            first) or 'created' for ascending (oldest first).
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: query
          schema:
            type: string
          description: >-
            Search query to filter clients (case-insensitive partial match).
            Searches across both external_id and any values within the metadata.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedListClientList'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    PaginatedListClientList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/ListClient'
    ListClient:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
          readOnly: true
        metadata:
          nullable: true
          description: >-
            Store arbitrary metadata about this client in a JSON field, but
            should not include PII information.
        external_id:
          type: string
          description: External identifier for the client
          maxLength: 50
        created:
          type: string
          format: date-time
          readOnly: true
        modified:
          type: string
          format: date-time
          readOnly: true
        aum:
          type: string
          nullable: true
          readOnly: true
        gain:
          type: string
          nullable: true
          readOnly: true
        last_optimized_date:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        jurisdiction:
          type: string
          nullable: true
          readOnly: true
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/AccountSummary'
          readOnly: true
        asset_allocations:
          type: array
          items:
            $ref: '#/components/schemas/AssetAllocationSummary'
          readOnly: true
      required:
        - accounts
        - asset_allocations
        - aum
        - created
        - external_id
        - gain
        - jurisdiction
        - last_optimized_date
        - modified
        - uuid
    AccountSummary:
      type: object
      description: Lightweight account serializer for the client list view.
      properties:
        uuid:
          type: string
          format: uuid
          readOnly: true
        external_id:
          type: string
          description: External identifier for the account
          maxLength: 50
        aum:
          type: string
          nullable: true
          readOnly: true
        gain:
          type: string
          nullable: true
          readOnly: true
        portfolio_name:
          type: string
          nullable: true
          readOnly: true
        asset_allocations:
          type: array
          items:
            $ref: '#/components/schemas/AssetAllocationSummary'
          readOnly: true
      required:
        - asset_allocations
        - aum
        - external_id
        - gain
        - portfolio_name
        - uuid
    AssetAllocationSummary:
      type: object
      description: Lightweight serializer for asset class allocations.
      properties:
        asset_class_name:
          type: string
        target_allocation:
          type: string
          format: decimal
          pattern: ^-?\d{0,1}(?:\.\d{0,4})?$
      required:
        - asset_class_name
        - target_allocation
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````